import https from "@/plugins/luch-request_0.0.7/request";
/** *
 * 平台花材列表
 */
export const getPlatformFlowerListApi = async data => {
	return https.get("/item/platform-item", data);
};
/** *
 * 花材列表
 */
export const getFlowerListApi = async data => {
	return https.get("/item/list", data);
};

/** *
 * 删除花材
 */
export const deleteFlowerApi = async id => {
	return https.get("/item/delete", { id });
};

/** *
 * 修改花材
 */
export const updateFlowerApi = async data => {
	return https.post("/item/update", data);
};

/** *
 * 新增花材
 */
export const addFlowerApi = async data => {
	return https.post("/item/add", data);
};

/** *
 * 花材分类列表
 */
export const getFlowerCategoryListApi = async data => {
	return https.get("/item-class/list", data);
};
/** *
 * 删除花材分类
 */
export const deleteFlowerCategoryApi = async id => {
	return https.get("/item-class/delete", { id });
};

/** *
 * 修改花材分类
 */
export const updateFlowerCategoryApi = async data => {
	return https.post("/item-class/update", data);
};

/** *
 * 新增花材分类
 */
export const addFlowerCategoryApi = async data => {
	return https.post("/item-class/add", data);
};
